## scaphandre 1.0.0

=== debian/changelog ===
scaphandre (1.0.0-7) unstable; urgency=medium

  * enable feature prometheuspush:
    + drop patch 2002_isahc
    + build-depend on package for crate isahc

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 02 Dec 2024 22:31:17 +0100

scaphandre (1.0.0-6) unstable; urgency=medium

  * simplify rules

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 20 Sep 2024 06:49:28 +0200

scaphandre (1.0.0-5) unstable; urgency=medium

  * fix arch/indep confusion in build rules
  * add patch 1001_*
    to accept newer branches of crate ordered-float;
    bump build-dependency for crate ordered-float

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 13 Sep 2024 19:33:14 +0200

scaphandre (1.0.0-4) unstable; urgency=medium

  * extend patch 1001 to cover a doctest

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 03 Sep 2024 21:28:12 +0200

scaphandre (1.0.0-3) unstable; urgency=medium

  * skip tests failing on a virtual machine

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 03 Sep 2024 06:41:34 +0200

scaphandre (1.0.0-2) unstable; urgency=medium

  * no-changes source-only upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 30 Aug 2024 22:09:51 +0200

scaphandre (1.0.0-1) experimental; urgency=low

  * initial Release;
    closes: bug#1079754

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 27 Aug 2024 15:21:16 +0200
