=== debian/control ===
Source: scaphandre
Section: utils
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 cmark-gfm <!nodoc>,
 debhelper-compat (= 13),
 dh-linktree,
 dh-sequence-rust,
 fonts-font-awesome,
 help2man <!nodoc>,
 librust-chrono-0.4+default-dev,
 librust-clap-4+cargo-dev,
 librust-clap-4+default-dev,
 librust-clap-4+derive-dev,
 librust-colored-2+default-dev,
 librust-ctrlc-3+default-dev,
 librust-ctrlc-3+termination-dev,
 librust-hostname-0.3+default-dev,
 librust-hyper-0.14+default-dev,
 librust-hyper-0.14+full-dev,
 librust-isahc-1+default-dev,
 librust-log-0.4+default-dev,
 librust-loggerv-0.7+default-dev,
 librust-ordered-float-4+default-dev,
 librust-procfs-dev (<< 0.16),
 librust-protobuf-2+default-dev,
 librust-rand-0.8+default-dev,
 librust-regex-1+default-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
 librust-sysinfo-0.30+default-dev,
 librust-time-0.3+default-dev,
 librust-tokio-1+default-dev,
 librust-tokio-1+full-dev,
 libstring-shellquote-perl <!nodoc>,
 mdbook,
Standards-Version: 4.7.0
Homepage: https://github.com/hubblo-org/scaphandre
Vcs-Git: https://salsa.debian.org/debian/scaphandre.git
Vcs-Browser: https://salsa.debian.org/debian/scaphandre
Rules-Requires-Root: no
Description: energy consumption monitoring agent
 Scaphandre is a metrology agent
 dedicated to electric power and energy consumption metrics.
 The goal of the project is to permit to any company or individual
 to measure the power consumption of its tech services
 and get this data in a convenient form,
 sending it through any monitoring or data analysis toolchain.

Package: scaphandre
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 scaphandre-docs,
Built-Using:
 ${cargo:Built-Using},
Static-Built-Using:
 ${cargo:Static-Built-Using},
Description: ${source:Synopsis} - command-line tool
 ${source:Extended-Description}
 .
 This package provides the command-line tool scaphandre.

Package: scaphandre-docs
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
Description: ${source:Synopsis} - documentation
 ${source:Extended-Description}
 .
 This package provides documentation for scaphandre.
