## scaphandre 1.0.2

=== debian/changelog ===
scaphandre (1.0.2-9) unstable; urgency=medium

  * add patch 1001_hostname
    to accept newer minor version of crate hostname;
    relax build-dependency for crate hostname

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 20 Sep 2025 21:12:05 +0200

scaphandre (1.0.2-8) unstable; urgency=medium

  * add patch 1001_colored
    to accept newer major version of crate colored;
    relax build-dependency for crate colored

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 05 Sep 2025 00:58:14 +0200

scaphandre (1.0.2-7) unstable; urgency=medium

  * build-depend on libstd-rust-dev
  * declare compliance with Debian Policy 4.7.2
  * drop watch file: use upstream metadata instead
  * update DEP-3 patch headers

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 28 Aug 2025 18:24:50 +0200

scaphandre (1.0.2-6) unstable; urgency=medium

  * no-changes source-only upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 10 Aug 2025 14:13:04 +0200

scaphandre (1.0.2-5) experimental; urgency=medium

  * add patch 1001_hyper to use newer crate hyper;
    tighten build-dependencies for crates hyper hyper-util;
    closes: bug#1109542, thanks to Blair Noctis

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 22 Jul 2025 13:47:29 +0200

scaphandre (1.0.2-4) unstable; urgency=medium

  * add patch 1002 to fix rendering of documentation;
    closes bug#1102386, thanks to NoisyCoil
  * extend patch 2002_riemann_client
    to also avoid crate prtobuf;
    drop superfluous patch 2002_protobuf;
    stop build-depend on package for crate protobuf
    (see bug#1103833)

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 25 Apr 2025 06:56:41 +0200

scaphandre (1.0.2-3) unstable; urgency=medium

  * skip another test failing inside VM;
    closes: bug#1097327, thanks to Lucas Nussbaum
  * declare compliance with Debian Policy 4.7.1
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 25 Feb 2025 07:44:44 +0100

scaphandre (1.0.2-2) unstable; urgency=medium

  * add patch 1001_procfs, superseding 2002_procfs;
    bump build-dependency for crate procfs;
    closes: bug#1095710, thanks to NoisyCoil

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 16 Feb 2025 19:49:06 +0100

scaphandre (1.0.2-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update and unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 11 Feb 2025 21:17:24 +0100

scaphandre (1.0.0-8) unstable; urgency=medium

  * tune build flags for hardening and speed
  * add metadata about upstream project
  * update git-buildpackage config: improve usage comment
  * update watch file:
    + improve filename and upstream version mangling
    + use Github API
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 09 Feb 2025 02:05:10 +0100
