=== debian/control ===
--- 
+++ 
@@ -13,18 +13,19 @@
  librust-clap-4+cargo-dev,
  librust-clap-4+default-dev,
  librust-clap-4+derive-dev,
- librust-colored-2+default-dev,
+ librust-colored-dev (<< 4),
  librust-ctrlc-3+default-dev,
  librust-ctrlc-3+termination-dev,
- librust-hostname-0.3+default-dev,
- librust-hyper-0.14+default-dev,
- librust-hyper-0.14+full-dev,
+ librust-hostname-dev (<< 0.5),
+ librust-hyper-1+default-dev,
+ librust-hyper-1+full-dev,
+ librust-hyper-util-0.1+default-dev,
+ librust-hyper-util-0.1+tokio-dev,
  librust-isahc-1+default-dev,
  librust-log-0.4+default-dev,
  librust-loggerv-0.7+default-dev,
  librust-ordered-float-4+default-dev,
- librust-procfs-dev (<< 0.16),
- librust-protobuf-2+default-dev,
+ librust-procfs-dev (<< 0.18),
  librust-rand-0.8+default-dev,
  librust-regex-1+default-dev,
  librust-serde-1+default-dev,
@@ -34,9 +35,10 @@
  librust-time-0.3+default-dev,
  librust-tokio-1+default-dev,
  librust-tokio-1+full-dev,
+ libstd-rust-dev,
  libstring-shellquote-perl <!nodoc>,
  mdbook,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/hubblo-org/scaphandre
 Vcs-Git: https://salsa.debian.org/debian/scaphandre.git
 Vcs-Browser: https://salsa.debian.org/debian/scaphandre
