=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,16 @@
 
 # resolve DEB_VERSION_UPSTREAM
 include /usr/share/dpkg/pkg-info.mk
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
+export DEB_CXXFLAGS_MAINT_APPEND  = -Wall -pedantic
+
+# trust upstream optimization level unless explicitly disabled
+ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
+export DEB_CFLAGS_MAINT_STRIP=-O2
+export DEB_CXXFLAGS_MAINT_STRIP=-O2
+endif
 
 # generate documentation unless nodoc requested
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
@@ -24,6 +34,7 @@
 
 # Fails on a virtual machine
 TEST_VM = \
+ exporter_qemu \
  read_core_stats \
  read_socket_stats \
  get_topology_returns_topology_type \
